Bug 112334 - cant put a . in user name, useradd is not a component!
Summary: cant put a . in user name, useradd is not a component!
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-17 22:11 UTC by rich adams
Modified: 2007-04-18 17:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description rich adams 2003-12-17 22:11:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
cant put in my user name rich.adams

Worked find in red hat 8 and before. 

Version-Release number of selected component (if applicable):
9

How reproducible:
Always

Steps to Reproduce:
1.adduser rich.adams
2.useradd rich.adams
3.
    

Actual Results:  useradd: invalid user name 'rich.adams'

Expected Results:  the user rich.adams is added to the password and 
group and shadow files and works from a login....

Additional info:

there are 874 hits in google search on the topic "invalid user name" 
& linux

Comment 2 rich adams 2003-12-17 22:18:49 UTC
having a . or : in chown has nothing to do with solving the original 
question from Robin Green!

Comment 3 rich adams 2003-12-17 23:37:15 UTC
Also is doesnt work to use a capitol letter or some other punctuation 
marks such as @ like we all are getting used to use in our dsl 
usernames such as w8mfd@dayton.net

Comment 4 Bugzilla owner 2004-09-30 15:41:45 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.